logo
Video Call
Server API
Stream Mixing and Transcoding APIs
On this page

DescribeUserList

GET

https://rtc-api.zego.im/

Call this interface to get the list of users in the Room.

Rate Limit
All rooms under the same AppID: 200 times/second; Single room: 1 time/1 second

Request

Query Parameters

    Action stringrequired

    Possible values: [DescribeUserList]

    API prototype parameter

    https://rtc-api.zego.im?Action=DescribeUserList

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    RoomId stringrequired

    Room ID. An empty list is returned if the Room does not exist.

    Mode int32

    Possible values: [0, 1]

    Default value: 0

    Time order of users logging into the Room, default value is 0. 0: ascending order by time; 1: descending order by time

    Limit int32

    Possible values: <= 200

    Default value: 200

    The number of users returned in a single request, with a value range of 0-200, which means calling this interface returns a maximum of 200 users at a time. When the number of users in the Room exceeds 200, you need to use the Marker value (user starting position identifier) returned in the previous call's result to call this interface again to query the remaining users.

    For example, if there are 450 users in the Room, when calling this interface to query the user list:

    • (1) First call: pass an empty value for the Marker parameter to query users 1-200; assume the Marker value in the returned result is "marker1".
    • (2) Second call: set the Marker parameter value to "marker1" to query users 201-400; assume the Marker value in the returned result is "marker2".
    • (3) Third call: set the Marker parameter value to "marker2" to query users 401-450; the query is complete, and the Marker in the returned result is empty.
    Marker string

    Query user starting position identifier, returned in the response of each request. When empty, user information is returned from the beginning.

Responses

Operation successful
Schema
    Code int32

    Return code. Please refer to Global Return Codes.

    Message string

    Description of the operation result.

    RequestId string

    Request ID.

    Data object
    Marker string

    User starting position identifier.

    UserList object[]
    User list.
  • Array[
  • UserId string

    User name.

    UserName string

    User nickname.

    UserRole uint32

    User role.

    • 1: Host.
    • 2: Audience.
    • 4: Administrator, this type of user mainly exists in scenarios such as cloud recording and audio/video Stream review. Client SDK user-related interfaces will filter out this type of user.

    This return parameter is only meaningful when accessing the LiveRoom service. Please ignore this parameter when accessing the Express service.

  • ]

Previous

DescribeUsers

Next

AddStream

On this page

Back to top